<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">

<generatorConfiguration>
    <!--  导入数据库配置档  -->
    <properties resource="generator.properties"/>

    <context id="MySqlContext" targetRuntime="MyBatis3" defaultModelType="flat">
        <!--指明数据库的用于标记数据库对象名的符号-->
        <property name="beginningDelimiter" value="`"/>
        <property name="endingDelimiter" value="`"/>
        <property name="javaFileEncoding" value="UTF-8"/>
        <!-- 为模型生成序列化方法-->
        <plugin type="org.mybatis.generator.plugins.SerializablePlugin"/>
        <!-- 为生成的Java模型创建一个toString方法 -->
        <plugin type="org.mybatis.generator.plugins.ToStringPlugin"/>
        <!--生成mapper.xml时覆盖原文件-->
        <plugin type="org.mybatis.generator.plugins.UnmergeableXmlMappersPlugin" />

        <!-- 为生成的实体类增加注释用的 -->
        <commentGenerator type="com.koobietech.eas.mbg.CommentGenerator">
            <!-- 是否去除自动生成的注释 true：是 ： false:否 -->
            <property name="suppressAllComments" value="true"/>
            <!-- 是否去除生成日期 true：是 ： false:否 -->
            <property name="suppressDate" value="true"/>
            <!-- 是否添加数据库内的注释 true：是 ： false:否 -->
            <property name="addRemarkComments" value="true"/>
            <!-- 生成注释的作者 -->
            <property name="author" value="koobietech"/>
            <!-- 生成注释的日期格式 -->
            <property name="dateFormat" value="yyyy-MM-dd HH:mm:ss"/>
        </commentGenerator>

        <jdbcConnection driverClass="${jdbc.driverClass}"
                        connectionURL="${jdbc.connectionURL}"
                        userId="${jdbc.userId}"
                        password="${jdbc.password}">
            <property name="nullCatalogMeansCurrent" value="true" />
        </jdbcConnection>

        <javaModelGenerator targetPackage="com.koobietech.eas.mbg.model" targetProject="mbg/src/main/java">
            <property name="dateType" value="java.util.Date"/>
            <property name="datetimeType" value="java.util.DateTime"/>
            <property name="trimStrings" value="true"/>
        </javaModelGenerator>

        <sqlMapGenerator targetPackage="com.koobietech.eas.mbg.mapper" targetProject="mbg/src/main/resources"/>

        <javaClientGenerator type="XMLMAPPER" targetPackage="com.koobietech.eas.mbg.mapper"
                             targetProject="mbg/src/main/java"/>
        <!--生成全部表tableName设为%-->
        <table tableName="%">
            <generatedKey column="id" sqlStatement="SELECT LAST_INSERT_ID()" identity="true"/>
        </table>
    </context>
</generatorConfiguration>
